A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
freePinned
ArrayFire Functions | ArrayFire Functions by Category » Functions to create and modify Arrays » Managing devices in ArrayFire

Free pinned memory allocated by ArrayFire's memory manager More...

## Functions
AFAPI void | freePinned (const void *ptr)
| Free pinned memory allocated by ArrayFire's memory manager
AFAPI af_err | af_free_pinned (void *ptr)

## Detailed Description

Free pinned memory allocated by ArrayFire's memory manager

These calls free the pinned memory on host. These functions need to be called on pointers allocated using pinned function.

## Function Documentation

## ◆ af_free_pinned()

AFAPI af_err af_free_pinned | ( | void * | ptr | ) |

## ◆ freePinned()

AFAPI void freePinned | ( | const void * | ptr | ) |

Free pinned memory allocated by ArrayFire's memory manager

These calls free the pinned memory on host. These functions need to be called on pointers allocated using pinned function.

Parameters

  [in] | ptr | the memory to free